w=0.01:(pi-0.01)/1000:pi;
B=[0 1];
A=[1 -0.8];
S=[1 -1];
R1=[1.2 -0.8];
R2=[1.5 -0.8];

P1=conv(A,S)+conv(B,R1);
P2=conv(A,S)+conv(B,R2);

Sup1=filt(conv(A,R1),P1,1);
Sup2=filt(conv(A,R2),P2,1);

[m1,p]=bode(Sup1,w);
[m2,p]=bode(Sup2,w);
plot(w/(2*pi),20*log10(m1(:)),'k-','Linewidth',2);
hold on
plot(w/(2*pi),20*log10(m2(:)),'k-.','Linewidth',2);
title('Input Sensitivity Function','FontSize',12,'FontWeight','Bold')
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold')
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold')
legend('P_{1} = 1 - 0.6z^{-1}','P_{2} = 1 - 0.3z^{-1}',0)
grid on



