puls=[0.001:0.001:pi/12];
z=exp(i*2*[0.001:0.001:pi/12]);
sys=filt(1,[1 -1],12);
[mag1,phase]=bode(sys,puls);
mag1a=1-mag1;
mag1b=1+mag1;
puls_norm=puls*6/pi;
index=find(mag1a>0);
mag1a=mag1a(:);
mag1b=mag1b(:);

R=[2.2333   -0.4467];
S=[1.0000   -0.3300    0.0000         0    0.0000         0    0.0000    0.0000   -0.6700];
A=[1 -0.2];
B=[0 0 0 0 0 0 0 0 0.3];
AS=conv(A,S);
BR=conv(B,R);
P=AS+BR;
Syp=filt(AS,P,12);
[mag,phase]=bode(Syp,puls);
mag=mag(:);


%plot(puls_norm,20*log10(mag),'k:','linewidth',2)
maximum=6*ones(length(puls),1);
%delmarg=min(maximum,20*log10(mag1b));
delmarg_idx=find(maximum>=20*log10(mag1b));
modmarg_idx=find(maximum<=20*log10(mag1b));
plot(puls_norm(modmarg_idx),maximum(modmarg_idx),'k:','linewidth',2)
hold on
plot(puls_norm(index),20*log10(mag1a(index)),'k-.','linewidth',2)
plot(puls_norm,20*log10(mag),'k','linewidth',2)
plot(puls_norm(delmarg_idx),20*log10(mag1b(delmarg_idx)),'k-.','linewidth',2)
legend('Modulus margin template','Delay margin = T_{s} template','Output Sensitivity function',4)
title('Output Sensitivity Function Template','FontSize',12,'FontWeight','Bold')
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold')
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold')
text(0.01,7,'Modulus margin = 0.5','FontSize',12,'FontWeight','Bold')
text(0.3,5,'Delay margin = T_{s}','FontSize',12,'FontWeight','Bold')
text(0.25,-11.5,'Delay margin = T_{s}','FontSize',12,'FontWeight','Bold')
axis([0 0.5 -25 10])
grid on